Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.transaction
Interface ServerTransactionManager

All Superinterfaces:
  ClientTransactionManager, TransactionManager

    public interface ServerTransactionManager

extends TransactionManager

ServerTransactionManager enables the caller to get the TransactionLogger object associated with this server.

Field Summary

Fields inherited from interface weblogic.transaction.TransactionManager
`ASYNC_TIMEOUT_DELIST, CALL_SET_DELIST_TMSUCCESS_ALWAYS, CALL_SET_TRANSACTION_TIMEOUT, ENLISTMENT_DYNAMIC, ENLISTMENT_STANDARD, ENLISTMENT_STATIC, ENLISTMENT_TYPE, INTERLEAVING_ENLISTMENTS, LOCAL_ASSIGNMENT_OF_REMOTE_RESOURCES, RECOVER_RETRY_DURATION_SECONDS, RECOVER_RETRY_INTERVAL_SECONDS, THREAD_AFFINITY`

Method Summary
`weblogic.management.runtime.JTATransaction` | `getJTATransactionForThread(weblogic.kernel.AuditableThread thread)` Returns a `JTATransaction` information object for the transaction context associated with the specified thread.
`TransactionLogger` | `getTransactionLogger()` Obtains the `TransactionLogger` object managing this server's transaction log.
`void` | `registerBeginNotificationListener(BeginNotificationListener listener, Object handback)` Registers a BeginNotificationListener object with the transaction manager.
`void` | `unregisterBeginNotificationListener(BeginNotificationListener listener)` Unregisters the specified BeginNotificationListener object.

Methods inherited from interface weblogic.transaction.TransactionManager
`begin, begin, begin, getTransaction, registerDynamicResource, registerDynamicResource, registerResource, registerResource, registerStaticResource, unregisterResource, unregisterResource`

Methods inherited from interface weblogic.transaction.ClientTransactionManager
`forceResume, forceSuspend`

Methods inherited from interface javax.transaction.TransactionManager
`begin, commit, getStatus, getTransaction, resume, rollback, setRollbackOnly, setTransactionTimeout, suspend`

Method Detail

### getTransactionLogger

    TransactionLogger getTransactionLogger()

  Obtains the `TransactionLogger` object managing this server's transaction log.

  Returns:
    the `TransactionLogger` object implemented by the WLS Transaction Manager, or null if none available.

### getJTATransactionForThread

    weblogic.management.runtime.JTATransaction getJTATransactionForThread(weblogic.kernel.AuditableThread thread)

  Returns a `JTATransaction` information object for the transaction context associated with the specified thread. If there is no transaction context associated with the thread, a null value will be returned.

### registerBeginNotificationListener

    void registerBeginNotificationListener(BeginNotificationListener listener,
                                           Object handback)

  Registers a BeginNotificationListener object with the transaction manager. The object will be invoked prior to the start of server-side transactions.

### unregisterBeginNotificationListener

    void unregisterBeginNotificationListener(BeginNotificationListener listener)

  Unregisters the specified BeginNotificationListener object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD